Package org.pgpainless.decryption_verification

# Class HardwareSecurity

java.lang.Object
org.pgpainless.decryption_verification.HardwareSecurity

public class HardwareSecurity extends Object
Enable integration of hardware-backed OpenPGP keys.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`HardwareSecurity.DecryptionCallback`
`static class`
`HardwareSecurity.HardwareDataDecryptorFactory`
Implementation of `PublicKeyDataDecryptorFactory` which delegates decryption of encrypted session keys to a `HardwareSecurity.DecryptionCallback`.
`static class`
`HardwareSecurity.HardwareSecurityException`

## Constructor Summary

Constructors
Constructor
Description
`HardwareSecurity()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HardwareSecurity

public HardwareSecurity()